[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.CreateFont

Ensures that the Font for the canvas is valid and uses the correct color.

## Declaration

Source position: graphics.pp line 1073

`protected procedure TCanvas.CreateFont; virtual;`

## Description

Gets the handle for the Font from its Reference class. The first time the Font handle is selected, the handle for the default font is returned as saved for use with DeselectHandles.

CreateFont updates the state flags for the canvas to include the value csFontValid. SetTextColor is called to apply the color from the Font to the canvas Handle.